Skip to main content
PATCH
/
api
/
v1
/
workspaces
/
{workspace_id}
/
members
/
{user_id}
Update Member Role
curl --request PATCH \
  --url https://api.example.com/api/v1/workspaces/{workspace_id}/members/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "role": "<string>"
}
'
{
  "avatar_url": "<string>",
  "email": "<string>",
  "full_name": "<string>",
  "joined_at": "2023-11-07T05:31:56Z",
  "role": "<string>",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Headers

X-Workspace-Id
string | null

Path Parameters

workspace_id
string<uuid>
required
user_id
string<uuid>
required

Cookies

riftmap_access
string | null

Body

application/json
role
string
required

Response

Successful Response

avatar_url
string | null
required
email
string
required
full_name
string | null
required
joined_at
string<date-time>
required
role
string
required
user_id
string<uuid>
required